Partial Update Topic
curl --request PATCH \
--url https://api-prod.voltai.ai/source/api/topics/{uuid}/ \
--header 'Content-Type: application/json' \
--cookie sessionid= \
--data '
{
"name": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_popular": true,
"is_default": true,
"is_published": true
}
'import requests
url = "https://api-prod.voltai.ai/source/api/topics/{uuid}/"
payload = {
"name": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_popular": True,
"is_default": True,
"is_published": True
}
headers = {
"cookie": "sessionid=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {cookie: 'sessionid=', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_popular: true,
is_default: true,
is_published: true
})
};
fetch('https://api-prod.voltai.ai/source/api/topics/{uuid}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"sub_topics": "<string>",
"path": "<string>",
"part_markdown": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_popular": true,
"is_default": true,
"is_published": true
}Topics
Partial Update Topic
Partially update a topic
PATCH
/
topics
/
{uuid}
/
Partial Update Topic
Authorizations
cookieAuthApiKeyAuth
Path Parameters
Query Parameters
Organization name (required for multi-tenant API keys)
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data